package com.saga.flink.cdc.constant;

public class CDCConstant {

    public static final String AFTER = "after";
    public static final String BEFORE = "before";

    /**
     * 操作：r(初始化数据读取)，c(插入)，u(更新)，d(删除)
     */
    public static final String OP = "op";

    /** 初始化数据读取 */
    public static final String OP_R = "r";

    /** 插入 */
    public static final String OP_C = "c";

    /** 更新 */
    public static final String OP_U = "u";

    /** 删除 */
    public static final String OP_D = "d";

    public static final String TS_MS = "ts_ms";
    public static final String SOURCE = "source";
    public static final String DB = "db";
    public static final String TABLE = "table";

    /** kafka 分区 key */
    public static final String KAFKA_PARTITION_KEY = "kafka_partition_key";

    /** kafka 分区数量 */
    public static final Integer KAFKA_PARTITION_NUM = 3;

    public static final String PRIMARY_JSON = "primary_json";
}
