package com.saga.flink.cdc.constant;


public enum OpEnum {

    C("c", "insert"), D("d", "delete"), R("r", "insert"), U("u", "update");

    private String key;
    private String value;

    private OpEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static String getValue(String key) {
        String value = "";
        for (OpEnum c : OpEnum.values()) {
            if (c.getKey() == key) {
                value = c.getValue();
            }
        }
        return value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
